For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList workspaces
      • POSTCreate a workspace
      • GETGet a workspace
      • DELDelete a workspace
      • PATCHUpdate a workspace
      • POSTBulk add members to a workspace
      • POSTBulk remove members from a workspace
LogoLogo
ModelsChatRankingsDocs
API ReferenceWorkspaces

List workspaces

GET
https://openrouter.ai/api/v1/workspaces
GET
/api/v1/workspaces
$curl https://openrouter.ai/api/v1/workspaces \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "created_at": "2025-08-24T10:30:00Z",
5 "created_by": "user_abc123",
6 "default_image_model": "openai/dall-e-3",
7 "default_provider_sort": "price",
8 "default_text_model": "openai/gpt-4o",
9 "description": "Production environment workspace",
10 "id": "550e8400-e29b-41d4-a716-446655440000",
11 "io_logging_api_key_ids": null,
12 "io_logging_sampling_rate": 1,
13 "is_data_discount_logging_enabled": true,
14 "is_observability_broadcast_enabled": false,
15 "is_observability_io_logging_enabled": false,
16 "name": "Production",
17 "slug": "production",
18 "updated_at": "2025-08-24T15:45:00Z"
19 }
20 ],
21 "total_count": 1
22}

List all workspaces for the authenticated user. Management key required.

Was this page helpful?
Previous

Create a workspace

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Query parameters

offsetintegerOptional>=0
Number of records to skip for pagination
limitintegerOptional1-100

Maximum number of records to return (max 100)

Response

List of workspaces
datalist of objects
List of workspaces
total_countinteger
Total number of workspaces

Errors

401
Unauthorized Error
500
Internal Server Error